Bug 225942 - Merge Review: jdepend
Merge Review: jdepend
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:12 EST by Nobody's working on this, feel free to take it
Modified: 2010-01-09 13:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-09 13:03:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:12:08 EST
Fedora Merge Review: jdepend

http://cvs.fedora.redhat.com/viewcvs/devel/jdepend/
Initial Owner: mwringe@redhat.com
Comment 1 Orion Poplawski 2010-01-08 17:43:40 EST
    *  rpmlint

jdepend.spec:38: W: non-standard-group Development/Libraries/Java
- I don't think this matters

jdepend.spec:53: W: non-standard-group Development/Documentation
- Think we'er using "Documentation" now.

jdepend.spec:63: W: non-standard-group Development/Libraries/Java
jdepend.spec:70: W: rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
- not needed

jdepend.spec: W: no-cleaning-of-buildroot %install
- but needed here

jdepend.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 35, tab: line 31)

    * naming - check
    * NamingGuidelines
    * licensing BSD
    * osi approved? yes
    * included? yes
    * correct mentioned in specfile? yes 

specfile

    * American English - yes
    * legible - yes
    * ExcludeArch, blocking - na
    * BuildRequires - yes
    * Locales - na
    * shared libraries: ldconfig - na
    *  %clean section with rm -rf ${RPM_BUILD_ROOT} - yes
    * macros - 
    * sources - check
    * relocatable? Prefix: /usr? - na
    * files and directories

- Guidelines use unversioned directory for javadoc now
 
    * owns all created directories - yes
    * all files listed in %files 
    * permissions?
    * deffattr? - yes
    * no .la files - yes
    * .desktop for GUI applications - na
    * no conflicts with other packets - yes
    * permissable content - yes
    * doc - yes
    * large doc in -doc package - na
    * must not affect runtime - yes
    * sane scriptlets 

- No longer need:

# for /bin/rm and /bin/ln
Requires(post): coreutils
Requires(postun): coreutils

    * subpackages with fully versioned dependency - 

- Guidelines specify that the javadoc package require the main package
Comment 2 Alexander Kurtakov 2010-01-09 03:57:04 EST
(In reply to comment #1)
>     *  rpmlint
> 
> jdepend.spec:38: W: non-standard-group Development/Libraries/Java
> - I don't think this matters
Fixed.
> 
> jdepend.spec:53: W: non-standard-group Development/Documentation
> - Think we'er using "Documentation" now.
Fixed.

> jdepend.spec:63: W: non-standard-group Development/Libraries/Java
Fixed.
> jdepend.spec:70: W: rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
> - not needed
Fixed.

> 
> jdepend.spec: W: no-cleaning-of-buildroot %install
> - but needed here
Fixed.

> 
> jdepend.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 35, tab: line 31)
Fixed.

> 
>     * naming - check
>     * NamingGuidelines
>     * licensing BSD
>     * osi approved? yes
>     * included? yes
>     * correct mentioned in specfile? yes 
> 
> specfile
> 
>     * American English - yes
>     * legible - yes
>     * ExcludeArch, blocking - na
>     * BuildRequires - yes
>     * Locales - na
>     * shared libraries: ldconfig - na
>     *  %clean section with rm -rf ${RPM_BUILD_ROOT} - yes
>     * macros - 
>     * sources - check
>     * relocatable? Prefix: /usr? - na
>     * files and directories
> 
> - Guidelines use unversioned directory for javadoc now
> 
>     * owns all created directories - yes
>     * all files listed in %files 
>     * permissions?
>     * deffattr? - yes
>     * no .la files - yes
>     * .desktop for GUI applications - na
>     * no conflicts with other packets - yes
>     * permissable content - yes
>     * doc - yes
>     * large doc in -doc package - na
>     * must not affect runtime - yes
>     * sane scriptlets 
> 
> - No longer need:
> 
> # for /bin/rm and /bin/ln
> Requires(post): coreutils
> Requires(postun): coreutils
Fixed.

> 
>     * subpackages with fully versioned dependency - 
> 
> - Guidelines specify that the javadoc package require the main package    
Fixed.

Btw, I've also update to the latest 2.9.1 release.
Comment 3 Orion Poplawski 2010-01-09 12:13:24 EST
Looks good, just this left:

- Guidelines use unversioned directory for javadoc now

Also, does it make sense to add a pom.xml for maven dep handling?
Comment 4 Alexander Kurtakov 2010-01-09 12:31:11 EST
(In reply to comment #3)
> Looks good, just this left:
> 
> - Guidelines use unversioned directory for javadoc now
Fixed.

> 
> Also, does it make sense to add a pom.xml for maven dep handling?    
I don't want to add pom.xml just for the sake of having it. If there is an actual request for it I'll add it immediately.
Comment 5 Orion Poplawski 2010-01-09 13:03:42 EST
Sounds good.  APPROVED.  This is a merge, so I'm closing now.  However, it builds find for EL-5, so perhaps an epel branch is order?

Note You need to log in before you can comment on or make changes to this bug.